<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:56:14 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (org.eclipse.papyrus.designer.transformation.languages.java.library 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (org.eclipse.papyrus.designer.transformation.languages.java.library 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#applyTrafo-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-org.eclipse.uml2.uml.Package-">applyTrafo(M2MTrafo, Package)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library"><span class="typeNameLink">BootLoaderGenJava</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/languages/java/library/package-summary.html">org.eclipse.papyrus.designer.transformation.languages.java.library</a></dt>
<dd>
<div class="block">Create a BootLoader for Java</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#BootLoaderGenJava--">BootLoaderGenJava()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/wizards/HelloWorldJavaModelWizard.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library.wizards"><span class="typeNameLink">HelloWorldJavaModelWizard</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/languages/java/library/wizards/package-summary.html">org.eclipse.papyrus.designer.transformation.languages.java.library.wizards</a></dt>
<dd>
<div class="block">Copy wizard for the HelloWorld example</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/wizards/HelloWorldJavaModelWizard.html#HelloWorldJavaModelWizard--">HelloWorldJavaModelWizard()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.languages.java.library.wizards.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/wizards/HelloWorldJavaModelWizard.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library.wizards">HelloWorldJavaModelWizard</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-int-int-">init(LazyCopier, int, int)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>
<div class="block">Create a new boot-loader in a specific package
 (which represents a node of the system).</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#instanceConfig-java.util.Stack-org.eclipse.uml2.uml.InstanceSpecification-">instanceConfig(Stack&lt;Slot&gt;, InstanceSpecification)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:J">
<!--   -->
</a>
<h2 class="title">J</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#JAVA_BOOTLOADER_QNAME">JAVA_BOOTLOADER_QNAME</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#JAVA_BOOTLOADER_URI">JAVA_BOOTLOADER_URI</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#JAVA_NODEINFO_QNAME">JAVA_NODEINFO_QNAME</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#languageActivation-org.eclipse.uml2.uml.Class:A-">languageActivation(Class[])</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#languageAssignRef-java.lang.String-java.lang.String-">languageAssignRef(String, String)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#languageCreateConn-java.lang.String-">languageCreateConn(String)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#languageCreateInstance-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Class-">languageCreateInstance(InstanceSpecification, Class)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#languageDeactivation-org.eclipse.uml2.uml.Class:A-">languageDeactivation(Class[])</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#languageDefaultExecCode--">languageDefaultExecCode()</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#languageInit--">languageInit()</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html#languageRunStart-java.lang.String-boolean-">languageRunStart(String, boolean)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.languages.java.library.<a href="org/eclipse/papyrus/designer/transformation/languages/java/library/BootLoaderGenJava.html" title="class in org.eclipse.papyrus.designer.transformation.languages.java.library">BootLoaderGenJava</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/package-summary.html">org.eclipse.papyrus.designer.transformation.languages.java.library</a> - package org.eclipse.papyrus.designer.transformation.languages.java.library</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/languages/java/library/wizards/package-summary.html">org.eclipse.papyrus.designer.transformation.languages.java.library.wizards</a> - package org.eclipse.papyrus.designer.transformation.languages.java.library.wizards</dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:O">O</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
